libcdr::CDRMoveToElement Class Reference documentation

Public Member Functions | Private Attributes | List of all members
libcdr::CDRMoveToElement Class Reference
Inheritance diagram for libcdr::CDRMoveToElement:

## Public Member Functions
| CDRMoveToElement (double x, double y)
| ~CDRMoveToElement ()
void | writeOut (librevenge::RVNGPropertyListVector &vec) const
void | transform (const CDRTransforms &trafos)
void | transform (const CDRTransform &trafo)
CDRPathElement * | clone ()
Public Member Functions inherited from libcdr::CDRPathElement
| CDRPathElement ()
virtual | ~CDRPathElement ()

## Private Attributes
double | m_x
double | m_y

## Constructor & Destructor Documentation

## § CDRMoveToElement()

libcdr::CDRMoveToElement::CDRMoveToElement | ( | double | x,
|  | double | y
| ) |  |
| inline

Referenced by clone().

## § ~CDRMoveToElement()

libcdr::CDRMoveToElement::~CDRMoveToElement | ( |  | ) |
| inline

## Member Function Documentation

## § clone()

libcdr::CDRPathElement * libcdr::CDRMoveToElement::clone | ( |  | ) |
| virtual

Implements libcdr::CDRPathElement.

Referenced by libcdr::CDRArcToElement::~CDRArcToElement(), libcdr::CDRClosePathElement::~CDRClosePathElement(), libcdr::CDRCubicBezierToElement::~CDRCubicBezierToElement(), libcdr::CDRLineToElement::~CDRLineToElement(), ~CDRMoveToElement(), libcdr::CDRQuadraticBezierToElement::~CDRQuadraticBezierToElement(), and libcdr::CDRSplineToElement::~CDRSplineToElement().

## § transform() [1/2]

void libcdr::CDRMoveToElement::transform | ( | const CDRTransforms & | trafos | ) |
| virtual

Implements libcdr::CDRPathElement.

Referenced by libcdr::CDRArcToElement::~CDRArcToElement(), libcdr::CDRClosePathElement::~CDRClosePathElement(), libcdr::CDRCubicBezierToElement::~CDRCubicBezierToElement(), libcdr::CDRLineToElement::~CDRLineToElement(), ~CDRMoveToElement(), libcdr::CDRQuadraticBezierToElement::~CDRQuadraticBezierToElement(), and libcdr::CDRSplineToElement::~CDRSplineToElement().

## § transform() [2/2]

void libcdr::CDRMoveToElement::transform | ( | const CDRTransform & | trafo | ) |
| virtual

Implements libcdr::CDRPathElement.

## § writeOut()

void libcdr::CDRMoveToElement::writeOut | ( | librevenge::RVNGPropertyListVector & | vec | ) | const
| virtual

Implements libcdr::CDRPathElement.

Referenced by libcdr::CDRArcToElement::~CDRArcToElement(), libcdr::CDRClosePathElement::~CDRClosePathElement(), libcdr::CDRCubicBezierToElement::~CDRCubicBezierToElement(), libcdr::CDRLineToElement::~CDRLineToElement(), ~CDRMoveToElement(), libcdr::CDRQuadraticBezierToElement::~CDRQuadraticBezierToElement(), and libcdr::CDRSplineToElement::~CDRSplineToElement().

## Member Data Documentation

## § m_x

double libcdr::CDRMoveToElement::m_x
| private

Referenced by clone(), libcdr::CDRLineToElement::clone(), libcdr::CDRCubicBezierToElement::clone(), libcdr::CDRQuadraticBezierToElement::clone(), libcdr::CDRArcToElement::clone(), transform(), libcdr::CDRLineToElement::transform(), libcdr::CDRCubicBezierToElement::transform(), libcdr::CDRQuadraticBezierToElement::transform(), libcdr::CDRArcToElement::transform(), writeOut(), libcdr::CDRLineToElement::writeOut(), libcdr::CDRCubicBezierToElement::writeOut(), libcdr::CDRQuadraticBezierToElement::writeOut(), and libcdr::CDRArcToElement::writeOut().

## § m_y

double libcdr::CDRMoveToElement::m_y
| private

Referenced by clone(), libcdr::CDRLineToElement::clone(), libcdr::CDRCubicBezierToElement::clone(), libcdr::CDRQuadraticBezierToElement::clone(), libcdr::CDRArcToElement::clone(), transform(), libcdr::CDRLineToElement::transform(), libcdr::CDRCubicBezierToElement::transform(), libcdr::CDRQuadraticBezierToElement::transform(), libcdr::CDRArcToElement::transform(), writeOut(), libcdr::CDRLineToElement::writeOut(), libcdr::CDRCubicBezierToElement::writeOut(), libcdr::CDRQuadraticBezierToElement::writeOut(), and libcdr::CDRArcToElement::writeOut().

The documentation for this class was generated from the following file:

- CDRPath.cpp